Aller au contenu
  • Pas encore inscrit ?

    Pourquoi ne pas vous inscrire ? C'est simple, rapide et gratuit.
    Pour en savoir plus, lisez Les avantages de l'inscription... et la Charte de Zébulon.
    De plus, les messages que vous postez en tant qu'invité restent invisibles tant qu'un modérateur ne les a pas validés. Inscrivez-vous, ce sera un gain de temps pour tout le monde, vous, les helpeurs et les modérateurs ! :wink:

bobymaw

[résolu] option module alsa

Messages recommandés

J'ai un portable samsung avec une carte son snd_hda

Sous ubuntu je dois mettre la ligne "options snd-hda-intel index=0 single_cmd=1 model=laptop-eapd" dans /etc/modprobe.conf pour éviter un siflement sonore.

J'utilise une distribution archlinux j'ai bien ajouté ces lignes à /etc/modprobe.conf pourtant ma carte sifle toujours est ce que quelqu'un sais pourquoi?

Modifié par bobymaw

Partager ce message


Lien à poster
Partager sur d’autres sites

Apparemment t' as le portable samsung Q35 et quelques problème audio

 

Comment as tu procédé lors de l' installation de alsa ?

 

essaye de faire l' installation sans cette ligne en 1er

options snd-hda-intel index=0 single_cmd=1 model=laptop-eapd

pacman -Sy alsa-lib alsa-oss alsa-utils

 

puis en root

alsaconf

 

alsaconf demandera a la fin de mettre divers paramètres dans /etc/modprobe.conf

 

 

/etc/modprobe.d/alsa-base existe pas sous archlinux, enfin moi je l' ai pas trouvé

 

 

a mon avis le sifflement est du a une entrée / sortie active par défaut, il suffirait de chercher celle qui fait siffler la carte son par un outils graphique

sous kde : kmix

sous Gnome: gnome-volume-control

 

T' as bien ajouté le group audio a ton user ?

 

Une fois que t' as trouvé l' entrée/ sortie qui la fait siffler,

 

en root: alsactl store ( sauve l' état actuel des réglages audio )

alsactl restore ( restaurer les réglages sauvé auparavant )

 

Si, tu trouve la cause de sifflement

il suffit de mettre dans /etc/rc.local

alsatcl restore

 

puis essaye a nouveau ta ligne option si rien ne passe

Partager ce message


Lien à poster
Partager sur d’autres sites

Oui j'ai le q35 :P

J'avais bien installé alsa de cette manière.

J'ai essayé de modifier les canaux alsa.. ou j'ai Front unmute et le sifflement ou je n'ai pas de son.

PS j'ai utilisé directement amixer comme mixer car quand je boot tur mon kernel custom aumix me renvoie une erreur.

Modifié par bobymaw

Partager ce message


Lien à poster
Partager sur d’autres sites

PS j'ai utilisé directement amixer comme mixer car quand je boot tur mon kernel custom aumix me renvoie une erreur.

 

as tu éessayé de modifier la ligne a mettre dans /etc/modprobe.conf

options snd-hda-intel model=laptop-eapd

 

un kernel custom c' est a dire ?

kernel26, kernel26beyond , kernel26ck......

t' es sous quel kernel ?

uname -a

 

Utiliser unmute où un outils graphique revient au même non ?

Alsa si tu trouve de l' aide

 

Sous Ubuntu, t' as installé quoi comme package ?

alsa-lib , alsa-oss, alsa-utils ( juste pour savoir s' il manque pas un package pour archlinux )

 

alsa-driver a essayer:

Hda Intel Sound Howto US Ubuntu

 

Mais pour archlinux il semblerais que les modules sont déjà présent dans certains kernel

je m' en suis apperçu après avoir réalisé le package alsa-driver

# pacman -A alsa-driver-1.0.13-1.pkg.tar.gz

loading package data... done.

checking for file conflicts...

error: the following file conflicts were found:

alsa-driver: /lib/modules/2.6.17-beyond/kernel/sound/pci/hda/snd-hda-codec.ko: exists in filesystem

alsa-driver: /lib/modules/2.6.17-beyond/kernel/sound/pci/hda/snd-hda-intel.ko: exists in filesystem

errors occurred, no packages were upgraded.

 

je crois bien que ce package est inutile avec certains kernel .....

enfin, si tu veux garder ton kernel custom et ajouté les lib manquante..... a toi de voir

 

télécharge le ici http://chatalorss.free.fr/linux/archlinux-...13-1.pkg.tar.gz

pacman -A alsa-driver-1.0.13-1.pkg.tar.gz

Partager ce message


Lien à poster
Partager sur d’autres sites

Après plusieur patouillage et réinstallation j'ai réussi à le faire marcher.

Je ne sais pas trops comment (peut être le passage au 2.6.18)

Modifié par bobymaw

Partager ce message


Lien à poster
Partager sur d’autres sites

Votre contenu devra être approuvé par un modérateur

Invité
Vous postez un commentaire en tant qu’invité. Si vous avez un compte, merci de vous connecter.
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.


  • En ligne récemment   0 membre est en ligne

    Aucun utilisateur enregistré regarde cette page.

×